---
updatedAt: 2025-09-23T20:28:02.000Z
agentTools:
  projectIndex: https://support.scanifly.com/llms.txt
---

# Retrieve a Shareable Design Link

You can retrieve the `shareLinkUrl`, which provides a link to an interactive, read-only view of a specific design, by using the `Get Design by Design ID` endpoint. The share link is generated manually from within Pro Design. For full technical details, you can visit the [API Reference documentation](https://support.scanifly.com/update/reference/getdesignbydesignid#/)

#### **Endpoint**

To retrieve a specific design, make a GET request to the following endpoint:
`GET /api/v1/designs/{projectId}/{designId}`

#### **Parameters**

| Parameter   | Type   | In   | Required | Description                                                                                                                |
| :---------- | :----- | :--- | :------- | :------------------------------------------------------------------------------------------------------------------------- |
| `projectId` | string | path | **Yes**  | The unique identifier of the project containing the design. This is returned when you create a project.                    |
| `designId`  | string | path | **Yes**  | The unique identifier of the specific design you want to retrieve. This is returned when you create a design on a project. |

#### **Prerequisites**

The `shareLinkUrl` field will not contain a URL by default. It is only populated after a user performs the following manual steps for that specific design within the Scanifly web portal:

1. Navigates to the "Share" tab.
2. Fills out the required information.
3. Clicks the **"Share" button**.

#### **Successful Response (`200 OK`)**

A successful call will return a single Design object. This object contains comprehensive details about the design, including the `shareLinkUrl`.

#### **Example Response Body**

```json
[
    {
        "id": "677d44b714288f7056285220",
        "projectId": "677d338678bca3f027d51305",
        "name": "My First Design",
        "shareLinkUrl": "https://3d.scanifly.com/share/...",
        // ... other design fields
    }
]
```

##### **Key Response Fields**

| Field              | Type   | Description                                                                                                                                        |
| :----------------- | :----- | :------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`               | string | The unique identifier for the design.                                                                                                              |
| `projectId`        | string | The ID of the project this design belongs to.                                                                                                      |
| `name`             | string | The name of the design.                                                                                                                            |
| **`shareLinkUrl`** | string | **A link to the interactive, shareable view of the design.** This field will only be present if the share action has been completed in the portal. |
| `designUrl`        | string | A direct link to open the design in the Scanifly editor.                                                                                           |
| `systemSize`       | number | The total size of the solar system in the design.                                                                                                  |
| `annualProduction` | number | The estimated total annual energy production for the system.                                                                                       |
| `offset`           | number | The estimated percentage of annual consumption offset by the system.                                                                               |

<br />